Skip to content
Start here

List logo matches

client.BrandProtection.V2.LogoMatches.Get(ctx, params) (*V2LogoMatchGetResponse, error)
GET/accounts/{account_id}/cloudforce-one/v2/brand-protection/logo/matches

Get paginated list of logo matches for a specific brand protection logo query

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
params V2LogoMatchGetParams
AccountID param.Field[string]

Path param

minLength1
QueryID param.Field[string]

Query param

minLength1
Download param.Field[string]optional

Query param

Limit param.Field[string]optional

Query param

Offset param.Field[string]optional

Query param

Order param.Field[V2LogoMatchGetParamsOrder]optional

Query param: Sort order. Options: 'asc' (ascending) or 'desc' (descending)

const V2LogoMatchGetParamsOrderAsc V2LogoMatchGetParamsOrder = "asc"
const V2LogoMatchGetParamsOrderDesc V2LogoMatchGetParamsOrder = "desc"
OrderBy param.Field[V2LogoMatchGetParamsOrderBy]optional

Query param: Column to sort by. Options: 'matchedAt', 'domain', or 'similarityScore'

const V2LogoMatchGetParamsOrderByMatchedAt V2LogoMatchGetParamsOrderBy = "matchedAt"
const V2LogoMatchGetParamsOrderByDomain V2LogoMatchGetParamsOrderBy = "domain"
const V2LogoMatchGetParamsOrderBySimilarityScore V2LogoMatchGetParamsOrderBy = "similarityScore"
ReturnsExpand Collapse
type V2LogoMatchGetResponse struct{…}
Matches []V2LogoMatchGetResponseMatch
ID int64
MatchedAt string
QueryID int64
SimilarityScore float64
URLScanID string
ContentType stringoptional
Domain stringoptional
ImageData stringoptional
Total int64
minimum0

List logo matches

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/brand_protection"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  logoMatch, err := client.BrandProtection.V2.LogoMatches.Get(context.TODO(), brand_protection.V2LogoMatchGetParams{
    AccountID: cloudflare.F("x"),
    QueryID: cloudflare.F("x"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", logoMatch.Matches)
}
{
  "matches": [
    {
      "id": 0,
      "matched_at": "matched_at",
      "query_id": 0,
      "similarity_score": 0,
      "url_scan_id": "url_scan_id",
      "content_type": "content_type",
      "domain": "domain",
      "image_data": "image_data"
    }
  ],
  "total": 0
}
Returns Examples
{
  "matches": [
    {
      "id": 0,
      "matched_at": "matched_at",
      "query_id": 0,
      "similarity_score": 0,
      "url_scan_id": "url_scan_id",
      "content_type": "content_type",
      "domain": "domain",
      "image_data": "image_data"
    }
  ],
  "total": 0
}